@import url('https://fonts.googleapis.com/css2?family=Mulish:wght@400;500;600;700;800;900&display=swap');

:root {
    --purple: #7F56D9;
    --bg: #323232;
    --secondar: #776685;
    --error: #F04438;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Mulish', sans-serif;
    overflow-x: hidden;
}

.purple {
    color: var(--purple);
}

h1 {
    font-size: 40px;
    color: var(--bg);
    font-weight: 800;
}

h3,
h4 {
    color: var(--bg);
    font-weight: 900;
}

h2 {
    color: var(--bg);
    font-weight: 700;
    font-size: 36px;
}

h3 {
    font-size: 24px;
}

h4 {
    font-size: 16px;
}

h5 {
    font-size: 16px;
    font-weight: 600;
    color: var(--bg);
}

.success {
    color: #32D583;
}

.green-bg {
    background-color: #65F3C0;
}

.blue-bg {
    background-color: #90D7FF;
}

.yellow-bg {
    background-color: #FFE39C;
}

.button {
    border: none;
    outline: none;
    background-color: var(--purple);
    color: white;
    padding: 13px 60px;
    font-size: 16px;
    border-radius: 12px;
    cursor: pointer;
}

.button:hover {
    background-color: #673dc2;
}

nav {
    background-color: var(--bg);
    width: 100%;
    height: 60px;
    max-height: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    z-index: 100;
}

.menu {
    display: flex;
    align-items: center;
    justify-content: space-between;
    max-width: 1440px;
    width: 100%;
    margin: 0px 20px;
}

.logo-integration,
.menu-items,
.menu-item,
.sidebar-item {
    display: flex;
    align-items: center;
}

.sidebar-item {
    justify-content: center;
}

.menu-item,
.logo-integration {
    justify-content: space-between;
}

.logo-integration {
    gap: 32px;
}

.menu-items {
    color: white;
}

.menu-item {
    gap: 8px;
    cursor: pointer;
    min-width: 56px;
    height: 60px;
    justify-content: center;
    position: relative;
}

.menu-items .menu-item:nth-child(2) {
    margin: 0px 30px 0px 10px;
}

.container {
    max-width: 1440px;
    margin: 0px auto;
    height: 100vh;
    position: relative;
    top: 60px;
}

.content {
    display: flex;
}

.sidebar {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    background-color: #FCFAFF;
    width: 80px;
    height: 100vh;
    padding: 76px 16px 0px 16px;
}

.sidebar-item {
    padding: 12px;
    width: fit-content;
    cursor: pointer;
}

.sidebar-active {
    background-color: var(--purple);
    border-radius: 4px;
}

.project-etl {
    display: flex;
    flex-direction: column;
    gap: 24px;
    margin: 76px 24px;
}

.project-etl-header {
    display: flex;
    gap: 8px;
}

.project-etl-content {
    display: flex;
    flex-wrap: wrap;
    gap: 24px;
}

.project-etl-content-item {
    display: flex;
    border-radius: 16px;
    overflow: hidden;
    background-color: #FCFAFF;
    border: 1px solid #E8D6FE;
    width: 416px;
    height: 403px;
}

.project-etl-content-item-sidebar {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 24px 19px;
    background-color: var(--purple);
}

.project-etl-content-item-sidebar-top,
.project-etl-content-item-sidebar-bottom {
    display: flex;
    flex-direction: column;
    gap: 24px;
}

.project-etl-content-item-sidebar-bottom span {
    cursor: pointer;
}

.project-etl-content__item-content,
.project-etl-content__item-content__title {
    display: flex;
    flex-direction: column;
}

.project-etl-content__item-content__title {
    margin: 0px 0px 32px 24px;
}

.project-etl-content__item-content {
    width: 100%;
    padding: 32px 0px;
}

.project-etl-content__item-content__item {
    display: flex;
    justify-content: space-between;
    padding: 16px 24px;
    border-top: 1px solid #E8D6FE;
    position: relative;
}

.bottom-border {
    border-bottom: 1px solid #E8D6FE;
}

.toggler-wrapper {
    display: block;
    width: 50px;
    height: 25px;
    cursor: pointer;
    position: relative;
}

.toggler-wrapper input[type="checkbox"] {
    display: none;
}

.toggler-slider {
    background-color: #776685;
    position: absolute;
    border-radius: 100px;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    -webkit-transition: all 300ms ease;
    transition: all 300ms ease;
}

.toggler-wrapper.style-1 .toggler-knob {
    width: calc(25px - 6px);
    height: calc(25px - 6px);
    border-radius: 50%;
    left: 3px;
    top: 3px;
    box-shadow: 0px 2px 1px 0px rgba(0, 0, 0, 0.4);
    background-color: #fff;
}

.toggler-wrapper .toggler-knob {
    position: absolute;
    -webkit-transition: all 300ms ease;
    transition: all 300ms ease;
}

.toggler-wrapper input[type="checkbox"]:checked+.toggler-slider {
    background-color: var(--purple);
}

.toggler-wrapper.style-1 input[type="checkbox"]:checked+.toggler-slider .toggler-knob {
    left: calc(100% - 19px - 3px);
}

.select-btn {
    padding: 13px 24px;
    background-color: white;
    font-size: 16px;
    color: var(--secondar);
    border-radius: 50px;
    border: 1px solid var(--secondar);
    cursor: pointer;
}

.select-btn-active {
    background-color: var(--purple);
    color: white;
    border: none;
}

.circle-plus {
    background-color: var(--purple);
    border-radius: 50%;
    width: 40px;
    height: 40px;
    position: relative;
    color: white;
    cursor: pointer;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.circle-plus::before {
    content: '+';
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.integration-heder {
    display: flex;
    gap: 22px;
}

.multi-search-select,
.search-select {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 11px 16px;
    background-color: #3C3C3C;
    border: 1px solid #776685;
    border-radius: 8px;
    position: relative;
    width: 280px;
    cursor: pointer;
    z-index: 10;
}

.multi-search-select input,
.search-select input {
    cursor: pointer;
    border: none;
    outline: none;
    user-select: none;
    background: transparent;
    width: 230px;
    color: white;
    font-size: 14px;
    font-weight: 400;
}

.multi-search-select::before,
.search-select::before {
    content: url(../images/select-arrow.svg);
    position: absolute;
    top: 8px;
    right: 10px;
    z-index: 9999;
    pointer-events: none;
    height: 18px;
}

.multi-search-select .options,
.search-select .options {
    width: 100%;
    border-radius: 8px;
    padding: 8px;
    cursor: pointer;
    border: none;
    outline: none;
    font-size: 14px;
    overflow: hidden;
    position: absolute;
    top: 40px;
    left: 0;
    visibility: hidden;
    background-color: #3C3C3C;
}

.multi-search-select .options .option:hover,
.search-select .options .option:hover {
    background-color: #4b4b4b;
}

.multi-search-select .options .option:not(:last-of-type),
.search-select .options .option:not(:last-of-type) {
    margin-bottom: 8px;
}

.multi-search-select .options .option,
.search-select .options .option {
    padding: 8px;
    border-radius: 9px;
    color: white;
}

.multi-search-select.opened .options,
.search-select.opened .options {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}

.multi-search-select input::placeholder,
.search-select input::placeholder {
    color: white;
    font-size: 14px;
    font-weight: 400;
    opacity: 1;
}


/* multi-select */
.multi-select label {
    font-size: 13px;
    color: #776685;
}

.multi-search-select {
    border: 1px solid #7F56D9;
    height: 40px;
}

.multi-search-select .options {
    top: 40px;
}

.multi-search-select::before {
    top: 6px;
}

.multi-search-select .options .option {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.multi-search-select .options .option input {
    width: 18px;
}
.multi-search-select input[type='checkbox'] {
    accent-color:  #7F56D9;
}


.active-account {
    background-color: white;
    border-top-left-radius: 16px;
    border-top-right-radius: 16px;
    height: 60px;
}

.profile-bg {
    position: fixed;
    left: 0;
    top: 60px;
    width: 100%;
    height: 100%;
    overflow: auto;
    backdrop-filter: blur(4px);
    z-index: 1;
    display: none;
}

.profile-content,
.notification-content,
.edit-profile {
    position: absolute;
    right: 0;
    z-index: 2;
    top: 60px;
    display: none;
    flex-direction: column;
    gap: 4px;
    padding: 24px 32px;
    background-color: white;
    border-left: 1px solid #E8E4EC;
    overflow-y: auto;
    overflow-x: hidden;
    max-height: 92vh;
    width: 456px;
    cursor: auto !important;
}

#filterModal .modal-content::-webkit-scrollbar,
.filter-and-items::-webkit-scrollbar,
.filter-or-items::-webkit-scrollbar,
.edit-profile::-webkit-scrollbar,
.notification-content::-webkit-scrollbar,
.profile-content::-webkit-scrollbar {
    width: 8px;
}

#filterModal .modal-content::-webkit-scrollbar-thumb,
.filter-and-items::-webkit-scrollbar-thumb,
.filter-or-items::-webkit-scrollbar-thumb,
.edit-profile::-webkit-scrollbar-thumb,
.notification-content::-webkit-scrollbar-thumb,
.profile-content::-webkit-scrollbar-thumb {
    background: var(--purple);
    border-radius: 10px;
}

.edit-profile-back {
    color: var(--purple);
    font-size: 14px;
    font-weight: 500;
    position: relative;
    cursor: pointer;
}

.edit-profile-back::before {
    content: url(../images/arrow-profilr-purple.svg);
    position: absolute;
    left: -10px;
    top: -4px;
    transform: rotate(180deg);
}

.profile-content-item {
    width: 392px;
    min-height: 72px;
    background-color: #FAFAFA;
    border-radius: 16px;
    padding: 24px;
    position: relative;
    color: var(--bg);
    font-weight: 800;
    font-size: 16px;
    cursor: pointer;
}

.profile-content-item:hover {
    background-color: #f5f5f5;
}

.profile-content-item::before {
    content: url(../images/arrow-profilr.svg);
    position: absolute;
    right: 24px;
}

.profile-info {
    display: flex;
    align-items: center;
    justify-content: start;
}

.profile-info::before {
    content: none;
}

#profile::before {
    content: url(../images/avatar.svg);
    position: absolute;
}

#profile.active-account::before {
    content: url(../images/avatar-active.svg);
}

#notification::before {
    content: url(../images/notification.svg);
    position: absolute;
}

#notification.active-account::before {
    content: url(../images/notification-active.svg);
    position: absolute;
}

.notify-count {
    position: absolute;
    padding: 2px;
    background-color: var(--error);
    border-radius: 50%;
    right: 2px;
    top: 30px;
    font-size: 10px;
    text-align: center;
}

.notification-content {
    padding: 0;
    right: -76px;
}

.notification-content-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid #E8E4EC;
    padding: 24px 32px;
}

.notification-content-content,
.notification-content-items {
    display: flex;
    flex-direction: column;
    gap: 24px;
}

.notification-content-content {
    gap: 24px;
    margin-top: 24px;
    padding: 0px 32px;
}

.notification-content-items {
    gap: 8px;
}

.notification-content-items-title,
.notification-content-item,
.notification-content-item-header,
.notification-status-div {
    display: flex;
}

.notification-content-items-title {
    justify-content: center;
    align-items: center;
}

.notification-content-items-title p,
.notification-kind {
    color: var(--secondar);
    font-size: 14px;
}

.notification-content-item {
    flex-direction: column;
    gap: 20px;
    background-color: #FCFAFF;
    border-radius: 16px;
    position: relative;
    padding: 16px;
}

.red-circle {
    width: 8px;
    height: 8px;
    background-color: #F04438;
    border-radius: 50%;
    position: absolute;
    top: 0;
    right: 0;
}

.notification-content-item-header {
    justify-content: space-between;
}

.notification-status-div {
    gap: 16px;
}

.notification-status-step {
    color: var(--bg);
    font-size: 14px;
    padding: 4px 8px;
    border-radius: 4px;
    font-weight: 600;
}

.notification-content-item-content {
    color: var(--bg);
    font-size: 14px;
    line-height: 22px;
}

.notification-content-item-content span {
    color: var(--secondar);
}

.avatar {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 68px;
    height: 68px;
    border-radius: 50%;
    overflow: hidden;
}

.avatar img {
    max-height: 100%;
    width: auto;
}

.profile-info-items {
    display: flex;
    flex-direction: column;
    margin-left: 16px;
}

.profile-info-items p {
    color: #323232;
    font-size: 16px;
    font-weight: 400;
}

.log-out-item {
    background-color: #FFFBFA;
    color: var(--error);
}

.log-out-item::before {
    content: url(../images/arrow-profilr-red.svg);
}

.edit-profile {
    z-index: 3;
}

.edit-profile form .button {
    width: 100%;
    margin-top: 220px;
}

.edit-profile form {
    display: flex;
    flex-direction: column;
    margin-top: 24px;
    gap: 16px;
}

.edit-phone {
    position: relative;
}

.edit-phone::before {
    content: '*';
    position: absolute;
    right: 16px;
    color: var(--purple);
}

.edit-profile form label {
    color: var(--secondar);
}

.edit-profile h2 {
    margin-top: 24px;
}


.iti__country-name {
    color: var(--bg);
}

.iti__country-list {
    max-width: 366px;
    top: 34px;
}

.logo {
    cursor: pointer;
}

/* =====================================MODAL======================== */
.modal {
    display: none;
    position: fixed;
    padding-top: 100px;
    left: 0;
    top: 60px;
    width: 100%;
    height: 100%;
    overflow: auto;
    backdrop-filter: blur(4px);
    z-index: 11;
}

.modal-content {
    display: flex;
    flex-direction: column;
    background-color: white;
    margin: auto;
    padding: 32px;
    border: 1px solid #E8E4EC;
    border-radius: 16px;
    width: 416px;
    height: 378px;
    position: relative;
    box-shadow: 0px 0px 10px rgb(31, 31, 31, 0.2);
}

.modal-content form {
    display: flex;
    flex-direction: column;
    gap: 16px;
    margin-top: 16px;
}

.modal-content form .button {
    margin-top: 24px;
}

.modal-form-item {
    display: flex;
    flex-direction: column;
    gap: 4px;
}

.modal-form-item label {
    margin-left: 16px;
}

.line {
    background-color: #E8E4EC;
    width: 100%;
    height: 1px;
    margin: 16px 0px;
}

.password-input,
.report-title-input {
    position: relative;
    border-radius: 12px;
    border: 1px solid #D5D0DD;
    padding: 13px 16px;
    background-color: #F4F2F7;
}

.password-input input,
.report-title-input input {
    border: none;
    outline: none;
    background: transparent;
    width: 90%;
}

.password-input img {
    position: absolute;
    right: 16px;
    top: 13px;
}

.close,
.close-filter {
    position: absolute;
    right: 20px;
    top: 20px;
    cursor: pointer;
}

#add-project-modal .modal-content {
    width: 660px;
    height: 640px;
}

.add-project-list,
.add-project-list-item {
    display: flex;
    gap: 16px;
}

.add-project-list {
    overflow-y: auto;
    flex-wrap: wrap;
    margin-top: 32px;
}

.add-project-list-item {
    flex-direction: column;
    width: 278px;
    height: 222px;
    border: 1px solid #E8E4EC;
    border-radius: 16px;
    cursor: pointer;
    transition: all 0.3s;
    position: relative;
    overflow: hidden;
}

.add-project-list-item-content {
    margin: 16px;
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.add-project-list-item:hover {
    border: 1px solid #7F56D9;
}

.add-project-list-item:hover .overly-list-item {
    display: flex;
}

.add-project-list::-webkit-scrollbar {
    width: 4px;
}

.add-project-list::-webkit-scrollbar-thumb {
    background: var(--purple);
    border-radius: 10px;
    background: #323232;
}

.overly-list-item {
    width: 100%;
    height: 100%;
    position: absolute;
    backdrop-filter: blur(4px);
    display: none;
    transition: all 0.5s;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 16px;
}

.overly-list-item span {
    color: var(--purple);
}

.overly-btns {
    position: absolute;
    right: 8px;
    top: 8px;
    display: flex;
    align-items: center;
    gap: 4px;
}

.add-report-checkbox {
    display: flex;
    gap: 8px;
    margin-top: 10px;
}

#reportCreationModal {
    padding-bottom: 100px;
}

#reportCreationModal .modal-content {
    height: auto;
}

#report-title {
    margin-left: 50px;
}

.report-title-input::before {
    position: absolute;
    content: '*';
    color: var(--purple);
    right: 13px;
    top: 13px;
}

.color-picker {
    position: absolute;
    left: 0;
    top: 0;
    width: 50px;
    height: 100%;
}

.color-picker-btn {
    display: block;
    width: 100%;
    height: 100%;
    background-color: var(--purple);
    cursor: pointer;
    border-top-left-radius: 12px;
    border-bottom-left-radius: 12px;
}

.color-picker-content {
    display: none;
    flex-direction: column;
    gap: 4px;
    background-color: white;
    width: 216px;
    padding: 16px;
    position: absolute;
    left: 0;
    top: 48px;
    z-index: 1;
}

.color-picker-colors {
    margin-top: 16px;
}

.color-picker-content input {
    outline: none;
    border: none;
}

.color-picker-colors {
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
}

.color-picker-colors span {
    width: 24px;
    height: 24px;
    border-radius: 50%;
    cursor: pointer;
}

.color-picker-colors span:hover {
    border: 1px solid var(--purple);
}

.color-picker-toggle {
    display: flex;
}

/* COLORS */
.color-C4A9FF {
    background-color: #C4A9FF;
}

.color-FFE39C {
    background-color: #FFE39C;
}

.color-90D7FF {
    background-color: #90D7FF;
}

.color-FDAAAA {
    background-color: #FDAAAA;
}

.color-E8E4EC {
    background-color: #E8E4EC;
}

.color-FF9DC6 {
    background-color: #FF9DC6;
}

.color-97ADFC {
    background-color: #97ADFC;
}

.color-0BE395 {
    background-color: #0BE395;
}

.color-FACA83 {
    background-color: #FACA83;
}

.color-45B8F9 {
    background-color: #45B8F9;
}

.color-F67979 {
    background-color: #F67979;
}

.color-976DF2 {
    background-color: #976DF2;
}

.color-FB3E8D {
    background-color: #FB3E8D;
}

.color-476DF4 {
    background-color: #476DF4;
}

.color-723AEA {
    background-color: #723AEA;
}

.color-E7A748 {
    background-color: #E7A748;
}

.color-1792D7 {
    background-color: #1792D7;
}

.color-F04343 {
    background-color: #F04343;
}

.color-009F66 {
    background-color: #009F66;
}

.color-C2175F {
    background-color: #C2175F;
}

.color-1B41C7 {
    background-color: #1B41C7;
}

.color-531DC6 {
    background-color: #531DC6;
}

.color-B77D25 {
    background-color: #B77D25;
}

.color-0D7EBD {
    background-color: #0D7EBD;
}

/* COLORS */

.file-upload {
    position: relative;
    overflow: hidden;
    margin: 10px;
    width: 100%;
    height: 100px;
    border: 1px dashed var(--purple);
    border-radius: 30px;
    padding: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.file-upload input.upload {
    position: absolute;
    top: 0;
    right: 0;
    margin: 0;
    padding: 0;
    font-size: 20px;
    cursor: pointer;
    opacity: 0;
    filter: alpha(opacity=0);
    height: 100%;
    width: 100%;
}

.file-upload-title {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.add-report-checkbox-content {
    margin-top: 16px;
    display: none;
}

.add-report-logo-title {
    color: #776685;
    line-height: 24px;
}

.report-description {
    display: flex;
    flex-direction: column;
    gap: 4px;
}

.report-description p {
    color: #776685;
    margin-top: 16px;
}

.report-description textarea {
    outline: none;
    border: 1px solid #E8D6FE;
    border-radius: 12px;
    padding: 13px 16px;
    background-color: #F4F2F7;
}

.report-description textarea::placeholder {
    font-size: 16px;
    color: #776685;
    font-family: 'Mulish', sans-serif;
}

#alreadyHasReportModal .modal-content {
    gap: 8px;
}

#alreadyHasReportModal .modal-content h2 {
    font-size: 36px;
}

#alreadyHasReportModal .modal-content p {
    margin-bottom: 16px;
}

#alreadyHasReportModal .modal-content a {
    text-align: center;
    text-decoration: none;
    color: var(--purple);
}


/* checkbox */
.custom-checkbox {
    display: block;
    position: relative;
    padding-left: 35px;
    margin-bottom: 12px;
    margin-left: 0px !important;
    cursor: pointer;
    font-size: 14px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.custom-checkbox input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}

.checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 18px;
    width: 18px;
    background-color: transperent;
    border: 1px solid #776685;
    border-radius: 3px;
}

.custom-checkbox input:checked~.checkmark {
    background-color: var(--purple);
}

.checkmark:after {
    content: "";
    position: absolute;
    display: none;
}

.custom-checkbox input:checked~.checkmark:after {
    display: block;
}

.custom-checkbox .checkmark:after {
    left: 5px;
    width: 5px;
    height: 11px;
    border: solid white;
    border-width: 0 2px 2px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

/* checkbox */